"use strict";
// CLI Commands feature provider
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const compact_command_builder_1 = require("./compact/compact-command-builder");
const frame_command_builder_1 = require("./frame/frame-command-builder");
const expand_command_builder_1 = require("./expand/expand-command-builder");
const flatten_command_builder_1 = require("./flatten/flatten-command-builder");
const normalize_command_builder_1 = require("./normalize/normalize-command-builder");
const serialize_command_builder_1 = require("./serialize/serialize-command-builder");
const deserialize_command_builder_1 = require("./deserialize/deserialize-command-builder");
let CLICommands = class CLICommands {
    constructor(compactCommandBuilder, frameCommandBuilder, expandCommandBuilder, flattenCommandBuilder, normalizeCommandBuilder, serializeCommandBuilder, deserializeCommandBuilder) {
        this.compactCommandBuilder = compactCommandBuilder;
        this.frameCommandBuilder = frameCommandBuilder;
        this.expandCommandBuilder = expandCommandBuilder;
        this.flattenCommandBuilder = flattenCommandBuilder;
        this.normalizeCommandBuilder = normalizeCommandBuilder;
        this.serializeCommandBuilder = serializeCommandBuilder;
        this.deserializeCommandBuilder = deserializeCommandBuilder;
    }
    buildAllCommands(cliTool) {
        this.compactCommandBuilder.buildCommand(cliTool);
        this.deserializeCommandBuilder.buildCommand(cliTool);
        this.expandCommandBuilder.buildCommand(cliTool);
        this.flattenCommandBuilder.buildCommand(cliTool);
        this.frameCommandBuilder.buildCommand(cliTool);
        this.normalizeCommandBuilder.buildCommand(cliTool);
        this.serializeCommandBuilder.buildCommand(cliTool);
    }
};
CLICommands = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("Compact Command Builder" /* CompactCommandBuilder */)),
    __param(1, inversify_1.inject("Frame Command Builder" /* FrameCommandBuilder */)),
    __param(2, inversify_1.inject("Expand Command Builder" /* ExpandCommandBuilder */)),
    __param(3, inversify_1.inject("Flatten Command Builder" /* FlattenCommandBuilder */)),
    __param(4, inversify_1.inject("Normalize Command Builder" /* NormalizeCommandBuilder */)),
    __param(5, inversify_1.inject("Serialize Command Builder" /* SerializeCommandBuilder */)),
    __param(6, inversify_1.inject("Deserialize Command Builder" /* DeserializeCommandBuilder */)),
    __metadata("design:paramtypes", [compact_command_builder_1.CompactCommandBuilder,
        frame_command_builder_1.FrameCommandBuilder,
        expand_command_builder_1.ExpandCommandBuilder,
        flatten_command_builder_1.FlattenCommandBuilder,
        normalize_command_builder_1.NormalizeCommandBuilder,
        serialize_command_builder_1.SerializeCommandBuilder,
        deserialize_command_builder_1.DeserializeCommandBuilder])
], CLICommands);
exports.CLICommands = CLICommands;
//# sourceMappingURL=cli-commands-feature-provider.js.map