"use strict";
// Compact Command
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const compact_action_1 = require("./compact-action");
const compact_help_message_1 = require("./compact-help-message");
const show_help_message_1 = require("../utils/show-help-message");
let CompactCommandBuilder = class CompactCommandBuilder {
    constructor(compactAction) {
        this.compactAction = compactAction;
        this.name = 'compact <sourceFile> <contextFile> [targetFile]';
        this.desc = 'Apply @context to JSON';
        this.helpMessage = compact_help_message_1.COMPACT_HELP_MESSAGE;
    }
    buildCommand(cliTool) {
        cliTool.command(this.name)
            .description(this.desc)
            .action(this.compactAction.compactAction)
            .option('-a --no-compact-arrays', 'disable compacting arrays to a single value')
            .on('--help', _ => show_help_message_1.showHelpMessage(this.helpMessage));
    }
};
CompactCommandBuilder = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("Compact Action" /* CompactAction */)),
    __metadata("design:paramtypes", [compact_action_1.CompactAction])
], CompactCommandBuilder);
exports.CompactCommandBuilder = CompactCommandBuilder;
//# sourceMappingURL=compact-command-builder.js.map