"use strict";
// Deserialize Command Builder
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const deserialize_action_1 = require("./deserialize-action");
const deserialize_help_message_1 = require("./deserialize-help-message");
const show_help_message_1 = require("../utils/show-help-message");
let DeserializeCommandBuilder = class DeserializeCommandBuilder {
    constructor(deserializeAction) {
        this.deserializeAction = deserializeAction;
        this.name = 'deserialize <sourceFile> [targetFile]';
        this.desc = 'Deserialize RDF to JSON-LD';
        this.helpMessage = deserialize_help_message_1.DESERIALIZE_HELP_MESSAGE;
    }
    buildCommand(cliTool) {
        cliTool.command(this.name)
            .description(this.desc)
            .action(this.deserializeAction.deserializeAction)
            .on('--help', _ => show_help_message_1.showHelpMessage(this.helpMessage));
    }
};
DeserializeCommandBuilder = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("Deserialize Action" /* DeserializeAction */)),
    __metadata("design:paramtypes", [deserialize_action_1.DeserializeAction])
], DeserializeCommandBuilder);
exports.DeserializeCommandBuilder = DeserializeCommandBuilder;
//# sourceMappingURL=deserialize-command-builder.js.map