"use strict";
// flatten action
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const source_op_target_1 = require("../utils/source-op-target");
const validate_source_target_1 = require("../../../core-providers/file-services/file-validators/validate-source-target");
const jsonld_1 = require("jsonld");
const task_message_1 = require("../utils/task-message");
const cancellation_message_1 = require("../utils/cancellation-message");
const default_target_file_1 = require("../utils/default-target-file");
const DEFAULT_OPTIONS = {};
let FlattenAction = class FlattenAction {
    flattenAction(sourceFile, targetFile = default_target_file_1.DEFAULT_TARGET_FILE) {
        const options = DEFAULT_OPTIONS;
        const FLATTEN_TASK_MESSAGE = '(1)  Run the flatten algorithm on ' + sourceFile + '\n' +
            '(2)  then write the output to ' + targetFile + '.';
        // let noCompactArrays: boolean;
        console.log(task_message_1.taskMessage(FLATTEN_TASK_MESSAGE));
        validate_source_target_1.validateSourceTarget({ name: sourceFile, title: 'source file' }, { name: targetFile, title: 'target file' })
            .then(validated => {
            if (validated) {
                source_op_target_1.sourceOpTarget(sourceFile, targetFile, jsonld_1.promises.flatten, options, 'Flatten algorithm');
            }
            else {
                cancellation_message_1.cancelMessage('Flatten algorithm');
            }
        });
    }
};
FlattenAction = __decorate([
    inversify_1.injectable()
], FlattenAction);
exports.FlattenAction = FlattenAction;
//# sourceMappingURL=flatten-action.js.map