"use strict";
// Flatten Command Builder
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const flatten_action_1 = require("./flatten-action");
const flatten_help_message_1 = require("./flatten-help-message");
const show_help_message_1 = require("../utils/show-help-message");
let FlattenCommandBuilder = class FlattenCommandBuilder {
    constructor(flattenAction) {
        this.flattenAction = flattenAction;
        this.name = 'flatten <sourceFile> [targetFile]';
        this.desc = 'Flatten JSON (or JSON-LD) file';
        this.helpMessage = flatten_help_message_1.FLATTEN_HELP_MESSAGE;
    }
    buildCommand(cliTool) {
        cliTool.command(this.name)
            .description(this.desc)
            .action(this.flattenAction.flattenAction)
            .on('--help', _ => show_help_message_1.showHelpMessage(this.helpMessage));
    }
};
FlattenCommandBuilder = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("Flatten Action" /* FlattenAction */)),
    __metadata("design:paramtypes", [flatten_action_1.FlattenAction])
], FlattenCommandBuilder);
exports.FlattenCommandBuilder = FlattenCommandBuilder;
//# sourceMappingURL=flatten-command-builder.js.map