"use strict";
// frame action
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const source_mod_op_target_1 = require("../utils/source-mod-op-target");
const validate_source_mod_target_1 = require("../../../core-providers/file-services/file-validators/validate-source-mod-target");
const jsonld_1 = require("jsonld");
const task_message_1 = require("../utils/task-message");
const cancellation_message_1 = require("../utils/cancellation-message");
const default_target_file_1 = require("../utils/default-target-file");
const DEFAULT_OPTIONS = {};
let FrameAction = class FrameAction {
    frameAction(sourceFile, frameFile, targetFile = default_target_file_1.DEFAULT_TARGET_FILE) {
        const options = DEFAULT_OPTIONS;
        const FRAME_TASK_MESSAGE = '(1)  Run the frame algorithm on ' + sourceFile + '\n' +
            '(1a) using frame in ' + frameFile + '\n' +
            '(2)  then write the output to ' + targetFile + '.';
        let taskResult;
        // let noCompactArrays: boolean;
        console.log(task_message_1.taskMessage(FRAME_TASK_MESSAGE));
        validate_source_mod_target_1.validateSourceModifierTarget({ name: sourceFile, title: 'source file' }, { name: frameFile, title: 'frame file' }, { name: targetFile, title: 'target file' })
            .then(validated => {
            if (validated) {
                source_mod_op_target_1.sourceModifierOperation(sourceFile, frameFile, targetFile, jsonld_1.promises.frame, options, 'Frame algorithm');
            }
            else {
                cancellation_message_1.cancelMessage('Frame algorithm');
            }
        });
    }
};
FrameAction = __decorate([
    inversify_1.injectable()
], FrameAction);
exports.FrameAction = FrameAction;
//# sourceMappingURL=frame-action.js.map