"use strict";
// Frame Command
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const frame_action_1 = require("./frame-action");
const frame_help_message_1 = require("./frame-help-message");
const show_help_message_1 = require("../utils/show-help-message");
let FrameCommandBuilder = class FrameCommandBuilder {
    constructor(frameAction) {
        this.frameAction = frameAction;
        this.name = 'frame <sourceFile> <frameFile> [targetFile]';
        this.desc = 'Apply a frame to JSON';
        this.helpMessage = frame_help_message_1.FRAME_HELP_MESSAGE;
    }
    buildCommand(cliTool) {
        cliTool.command(this.name)
            .description(this.desc)
            .action(this.frameAction.frameAction)
            .option('-a --no-compact-arrays', 'disable compacting arrays to a single value')
            .on('--help', _ => show_help_message_1.showHelpMessage(this.helpMessage));
    }
};
FrameCommandBuilder = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("Frame Action" /* FrameAction */)),
    __metadata("design:paramtypes", [frame_action_1.FrameAction])
], FrameCommandBuilder);
exports.FrameCommandBuilder = FrameCommandBuilder;
//# sourceMappingURL=frame-command-builder.js.map