"use strict";
// Normalize Command Builder
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const normalize_action_1 = require("./normalize-action");
const normalize_help_message_1 = require("./normalize-help-message");
const show_help_message_1 = require("../utils/show-help-message");
let NormalizeCommandBuilder = class NormalizeCommandBuilder {
    constructor(normalizeAction) {
        this.normalizeAction = normalizeAction;
        this.name = 'normalize <sourceFile> [targetFile]';
        this.desc = 'Normalize RDF dataset';
        this.helpMessage = normalize_help_message_1.NORMALIZE_HELP_MESSAGE;
    }
    buildCommand(cliTool) {
        cliTool.command(this.name)
            .description(this.desc)
            .action(this.normalizeAction.normalizeAction)
            .on('--help', _ => show_help_message_1.showHelpMessage(this.helpMessage));
    }
};
NormalizeCommandBuilder = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("Normalize Action" /* NormalizeAction */)),
    __metadata("design:paramtypes", [normalize_action_1.NormalizeAction])
], NormalizeCommandBuilder);
exports.NormalizeCommandBuilder = NormalizeCommandBuilder;
//# sourceMappingURL=normalize-command-builder.js.map