"use strict";
// Serialize Command Builder
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const serialize_action_1 = require("./serialize-action");
const serialize_help_message_1 = require("./serialize-help-message");
const show_help_message_1 = require("../utils/show-help-message");
let SerializeCommandBuilder = class SerializeCommandBuilder {
    constructor(serializeAction) {
        this.serializeAction = serializeAction;
        this.name = 'serialize <sourceFile> [targetFile]';
        this.desc = 'Serialize dataset to RDF';
        this.helpMessage = serialize_help_message_1.SERIALIZE_HELP_MESSAGE;
    }
    buildCommand(cliTool) {
        cliTool.command(this.name)
            .description(this.desc)
            .action(this.serializeAction.serializeAction)
            .on('--help', _ => show_help_message_1.showHelpMessage(this.helpMessage));
    }
};
SerializeCommandBuilder = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("Serialize Action" /* SerializeAction */)),
    __metadata("design:paramtypes", [serialize_action_1.SerializeAction])
], SerializeCommandBuilder);
exports.SerializeCommandBuilder = SerializeCommandBuilder;
//# sourceMappingURL=serialize-command-builder.js.map