"use strict";
// Loads JSON from a source, performs an operation on it, then stores the result in a target file
Object.defineProperty(exports, "__esModule", { value: true });
const read_write_file_1 = require("../../../core-providers/file-services/read-write-file");
const ora_1 = require("ora");
function sourceOpTarget(source, target, operation, options, opMessage) {
    ora_1.promise(_sourceOpTarget(source, target, operation, options), opMessage);
}
exports.sourceOpTarget = sourceOpTarget;
function _sourceOpTarget(source, target, operation, options) {
    let startingJson;
    let afterOperationApplied;
    return read_write_file_1.readJsonLdFile(source)
        .then(res => {
        if (!res) {
            return false;
        }
        else {
            startingJson = res;
            return performOperation();
        }
    });
    function performOperation() {
        return operation(startingJson, options)
            .then(res => {
            afterOperationApplied = res;
            return writeTargetFile();
        })
            .catch(err => false);
    }
    // target file write
    function writeTargetFile() {
        return read_write_file_1.writeJsonLdFile(target, afterOperationApplied)
            .then(_ => true)
            .catch(() => false);
    }
}
//# sourceMappingURL=source-op-target.js.map