"use strict";
// asks the user to confirm file overwrite
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer_1 = require("inquirer");
const chalk_1 = __importDefault(require("chalk"));
// resolves to true if the user confirms to overwrite the file
// resolves to false otherwise
function confirmOverwrite(fileToOverwrite) {
    console.log('\n' + chalk_1.default.magentaBright.underline('Warning') + '\nFile ' + fileToOverwrite + ' exists.');
    const message = 'Are you sure you want to overwrite it? (y/N) ';
    let question = {
        type: 'confirm',
        name: 'fileConfirmation',
        default: 'N',
        message: message
    };
    return inquirer_1.prompt(question).then(val => {
        const answer = JSON.parse(JSON.stringify(val));
        return answer.fileConfirmation;
    });
}
exports.confirmOverwrite = confirmOverwrite;
//# sourceMappingURL=confirm-overwrite.js.map