"use strict";
// returns true when a file exists
// calls displayError if it is going to return false
Object.defineProperty(exports, "__esModule", { value: true });
const filename_and_title_model_1 = require(".././../../models/filename-and-title-model");
const fs_1 = require("fs");
const file_error_handler_1 = require("../file-error-handler/file-error-handler");
function fileExists(file = filename_and_title_model_1.newFileNameTitle()) {
    if (file.name && fs_1.existsSync(file.name)) {
        return true;
    }
    else if (!file.name) {
        file_error_handler_1.displayError("No file specified." /* NO_FILE_SPECIFIED */, '');
        return false;
    }
    else {
        file_error_handler_1.displayError("File does not exist." /* FILE_DOES_NOT_EXIST */, file.title || '');
        return false;
    }
}
exports.fileExists = fileExists;
//# sourceMappingURL=file-exists.js.map