"use strict";
// Main builder of the parsing function for the cli tool
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const Commander_1 = require("Commander");
const inversify_1 = require("inversify");
const cli_commands_feature_provider_1 = require("../../cli-features/commands/cli-commands-feature-provider");
const settings_info_1 = require("../settings-service/settings-info");
const usage_1 = require("./usage");
// provider starts here
let ToolBuilder = class ToolBuilder {
    constructor(commandBuilder) {
        this.commandBuilder = commandBuilder;
        this.cliTool = new Commander_1.Command();
    }
    buildCLItool() {
        // obtain version information
        this.cliTool.version(settings_info_1.getVersion(), '-v, --version');
        // obtain usage information
        this.cliTool.usage(usage_1.getUsage());
        // program information option
        this.cliTool.option('-i, --info', 'Show package information');
        // build the commands
        this.commandBuilder.buildAllCommands(this.cliTool);
        return this.cliTool;
    }
};
ToolBuilder = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject("CLI Commands Feature Provider" /* CLICommandsFeatureProvider */)),
    __metadata("design:paramtypes", [cli_commands_feature_provider_1.CLICommands])
], ToolBuilder);
exports.ToolBuilder = ToolBuilder;
//# sourceMappingURL=tool-builder.js.map