"use strict";
// inversify config
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
require("reflect-metadata");
// core
const tool_builder_1 = require("../core-providers/tool-builder/tool-builder");
// features
const cli_commands_feature_provider_1 = require("../cli-features/commands/cli-commands-feature-provider");
//
const compact_command_builder_1 = require("../cli-features/commands/compact/compact-command-builder");
const compact_action_1 = require("../cli-features/commands/compact/compact-action");
//
const frame_action_1 = require("../cli-features/commands/frame/frame-action");
const frame_command_builder_1 = require("../cli-features/commands/frame/frame-command-builder");
//
const expand_action_1 = require("../cli-features/commands/expand/expand-action");
const expand_command_builder_1 = require("../cli-features/commands/expand/expand-command-builder");
//
const flatten_action_1 = require("../cli-features/commands/flatten/flatten-action");
const flatten_command_builder_1 = require("../cli-features/commands/flatten/flatten-command-builder");
//
const normalize_action_1 = require("../cli-features/commands/normalize/normalize-action");
const normalize_command_builder_1 = require("../cli-features/commands/normalize/normalize-command-builder");
//
const serialize_action_1 = require("../cli-features/commands/serialize/serialize-action");
const serialize_command_builder_1 = require("../cli-features/commands/serialize/serialize-command-builder");
//
const deserialize_action_1 = require("../cli-features/commands/deserialize/deserialize-action");
const deserialize_command_builder_1 = require("../cli-features/commands/deserialize/deserialize-command-builder");
/***
 *
 * Build container
 *
 */
let container = new inversify_1.Container();
// core
container.bind("Tool Builder" /* ToolBuilder */).to(tool_builder_1.ToolBuilder);
// features
container.bind("CLI Commands Feature Provider" /* CLICommandsFeatureProvider */).to(cli_commands_feature_provider_1.CLICommands);
//
container.bind("Compact Command Builder" /* CompactCommandBuilder */).to(compact_command_builder_1.CompactCommandBuilder);
container.bind("Compact Action" /* CompactAction */).to(compact_action_1.CompactAction);
//
container.bind("Frame Action" /* FrameAction */).to(frame_action_1.FrameAction);
container.bind("Frame Command Builder" /* FrameCommandBuilder */).to(frame_command_builder_1.FrameCommandBuilder);
//
container.bind("Expand Action" /* ExpandAction */).to(expand_action_1.ExpandAction);
container.bind("Expand Command Builder" /* ExpandCommandBuilder */).to(expand_command_builder_1.ExpandCommandBuilder);
//
container.bind("Flatten Action" /* FlattenAction */).to(flatten_action_1.FlattenAction);
container.bind("Flatten Command Builder" /* FlattenCommandBuilder */).to(flatten_command_builder_1.FlattenCommandBuilder);
//
container.bind("Normalize Action" /* NormalizeAction */).to(normalize_action_1.NormalizeAction);
container.bind("Normalize Command Builder" /* NormalizeCommandBuilder */).to(normalize_command_builder_1.NormalizeCommandBuilder);
//
container.bind("Serialize Action" /* SerializeAction */).to(serialize_action_1.SerializeAction);
container.bind("Serialize Command Builder" /* SerializeCommandBuilder */).to(serialize_command_builder_1.SerializeCommandBuilder);
//
container.bind("Deserialize Action" /* DeserializeAction */).to(deserialize_action_1.DeserializeAction);
container.bind("Deserialize Command Builder" /* DeserializeCommandBuilder */).to(deserialize_command_builder_1.DeserializeCommandBuilder);
exports.default = container;
//# sourceMappingURL=inversify.config.js.map