"use strict";
// show program info
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const figlet_1 = __importDefault(require("figlet"));
const chalk_1 = __importDefault(require("chalk"));
const settings_info_1 = require("../core-providers/settings-service/settings-info");
const TITLE = 'JSON-LD CLI tool for NodeJS\n' +
    '(C) 2018 by Aaron Sterling\n';
function showProgramInfo() {
    figlet_1.default.text('JLDC', (err, res) => {
        if (!err) {
            console.log(chalk_1.default.greenBright(res));
        }
        showInfo(settings_info_1.getSettings());
    });
}
exports.showProgramInfo = showProgramInfo;
function showInfo(settings) {
    console.log(chalk_1.default.greenBright(TITLE));
    console.log('Version: ', settings.version);
    console.log('License: ', settings.license);
    console.log('Repository: ', settings.repository);
}
//# sourceMappingURL=program-info.js.map